Downloads

Component selection

Archived Releases

Older OCL releases have been moved to archive.eclipse.org, and can be accessed here:

Language Packs

IBM is pleased to contribute translations for the Eclipse Modeling Development Tools subcomponent OCL.

  • 1.0.x Language Packs
    • OCL OCL: SDK, Runtime
    • The language packs contain NL fragments and features for:

      • NLpack1 - German, Spanish, French, Italian, Japanese, Korean, Portuguese (Brazil), Traditional Chinese, Simplified Chinese
      • NLpack2 - Czech, Hungarian, Polish, Russian
      • NLpack2a - Danish, Dutch, Finnish, Greek, Norwegian, Portuguese, Swedish and Turkish
      • NLpackBidi - Arabic

      Each language pack zip contains 4 other zips (one for each of the language groups above). Unpack these zips into your Eclipse directory before starting Eclipse.

      These translations are based on OCL 1.0.0. The NLS translation fragment packs should work with all subsequent 1.0.x maintenance releases, with any new strings remaining untranslated.

Questions?

If you have problems downloading the drops, contact the webmaster.

These are the minimum required downloads for using OCL:

  • To use OCL, you require both the OCL & EMF Runtimes.
  • To use OCL with UML2, you will also require the UML2 runtime.

All downloads are provided under the terms and conditions of the Eclipse Foundation Software User Agreement unless otherwise specified.

Getting Sources
Language Packs
Sort
IP Log

See committer/contributor IP log.